Ignore:
Timestamp:
May 20, 2016, 1:12:51 AM (3 years ago)
Author:
dstrubbe@…
Message:

linear_algebra port group: Ensure one of the variants is selected. Remove comment about a fix that has been done.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/_resources/port1.0/group/linear_algebra-1.0.tcl

    r148843 r148852  
    4848# scalapack.
    4949# vecLibFort only needed if calling Accelerate from Fortran.
    50 # enforcing +lapack for OpenBLAS can be optional.
    5150
    5251PortGroup active_variants 1.1
     
    9392    set linalglib           -lopenblas
    9493}
     94
     95if {![variant_isset accelerate] && ![variant_isset openblas] && ![variant_isset atlas] } {
     96    ui_error "You must select either the +accelerate, +atlas, or +openblas variant for linear algebra."
     97    return -code error "No linear-algebra variant selected."
     98}
Note: See TracChangeset for help on using the changeset viewer.